### Function

# Gio TlsCertificate list_new_from_file

since: 2.28

#### Declaration

    GList*
    g_tls_certificate_list_new_from_file (
      const gchar* file,
      GError** error
    )

#### Description

Creates one or more `GTlsCertificates` from the PEM-encoded data in `file`. If `file` cannot be read or parsed, the function will return `NULL` and set `error`. If `file` does not contain any PEM-encoded certificates, this will return an empty list and not set `error`.

Available since: 2.28

#### Parameters

`file`

  Type: `const gchar*`

  File containing PEM-encoded certificates to import.

  The data is owned by the caller of the function.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `GTlsCertificate*`

A `GList` containing `GTlsCertificate` objects. You must free the list and its contents when you are done with it.

The caller of the function takes ownership of the data, and is responsible for freeing it.